/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 系统用例环境表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-14 15:53:56  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "系统用例环境表")
public class AtuProjectEnv extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_envId = "envId";
  public static final String KEY_orderSeq = "orderSeq";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_isDelete = "isDelete";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 系统空间<br>
   */
  @ApiModelProperty("系统空间")
  @Size(max = 32, message="系统空间-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 环境id<br>
   */
  @ApiModelProperty("环境id")
  @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
  private String envId;
  /**
   * 顺序<br>
   */
  @ApiModelProperty("顺序")
  private Integer orderSeq;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户<br>
   */
  @ApiModelProperty("租户")
  @Size(max = 32, message="租户-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 是否删除<br>
   */
  @ApiModelProperty("是否删除")
  private Integer isDelete;

  public Integer getIsDelete() {
    return isDelete;
  }

  public void setIsDelete(Integer isDelete) {
    this.isDelete = isDelete;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 系统空间<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统空间<br>
   *
   * @param projectId 系统空间
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 环境id<br>
   */
  public String getEnvId()
  {
      return envId;
    }

  /**
   * 环境id<br>
   *
   * @param envId 环境id
   */
  public void setEnvId(String envId)
  {
      this.envId = envId;
    }
  /**
   * 顺序<br>
   */
  public Integer getOrderSeq()
  {
      return orderSeq;
    }

  /**
   * 顺序<br>
   *
   * @param orderSeq 顺序
   */
  public void setOrderSeq(Integer orderSeq)
  {
      this.orderSeq = orderSeq;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public AtuProjectEnv()
  {
  }

}
